Summary:	A libinput-based X.org input driver
Summary(pl.UTF-8):	Sterownik wejściowy X.org oparty na libinput
Name:		xorg-driver-input-libinput
Version:	0.29.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-input-libinput-%{version}.tar.bz2
# Source0-md5:	d600e8e2e30747b8ce49ec5294ff0ab6
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libinput-devel >= 1.7.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel >= 2.2
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.10
%{?requires_xorg_xserver_xinput}
Requires:	libinput >= 1.7.0
Requires:	xorg-xserver-server >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an X driver based on libinput. It is a thin wrapper around
libinput, so while it does provide all features that libinput supports
it does little beyond.

%description -l pl.UTF-8
Sterownik wejściowy X oparty na libinput. Jest to bardzo cienkie
obudowanie biblioteki libinput, więc udostępnia wszystkie funkcje
obsługiwane przez libinput, ale niewiele poza tym.

%package devel
Summary:	Header file for libinput driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika libinput
Group:		Development/Libraries

%description devel
Header file for libinput driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika libinput.

%prep
%setup -q -n xf86-input-libinput-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-xorg-conf-dir=/etc/X11/xorg.conf.d \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
/etc/X11/xorg.conf.d/40-libinput.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/libinput_drv.so
%{_mandir}/man4/libinput.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/libinput-properties.h
%{_pkgconfigdir}/xorg-libinput.pc
%changelog
* Mon Aug 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-libinput.git;a=log;h=master

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> 667a906
- up to 0.29.0

* Mon Feb 04 2019 Jan Palus <atler@pld-linux.org> e9e18dd
- up to 0.28.2

* Mon Oct 15 2018 Jan Palus <atler@pld-linux.org> 7e03413
- up to 0.28.1

* Wed Jul 11 2018 Jan Palus <atler@pld-linux.org> 98ed4f2
- up to 0.28.0

* Tue Apr 10 2018 Jan Palus <atler@pld-linux.org> 0b34f0f
- up to 0.27.1

* Tue Mar 27 2018 Jan Palus <atler@pld-linux.org> c772269
- up to 0.27.0

* Tue Sep 19 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 7830648
- up to 0.26.0

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 3a1d8f6
- updated to 0.25.1

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> a9608fa
- updated to 0.25.0

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 979c42d
- updated to 0.24.0

* Mon Dec 12 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 72ebcae
- up to 0.23.0

* Tue Nov 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b92a7a2
- xserver 1.19 rebuild
- release 2 (by relup.sh)

* Sun Oct 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 8c78d3b
- updated to 0.22.0

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 1633b1a
- updated install time libinput dependency

* Fri Sep 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f85bda
- up to 0.20.0

* Wed Sep 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 87c54fe
- up to 0.19.1

* Thu Apr 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 98e9cb5
- up to 0.19.0

* Thu Apr 07 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ebbac29
- up to 0.18.0

* Fri Feb 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 75a5270
- bump libinput to 1.2.0

* Fri Feb 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 36fe9be
- up to 0.17.0

